var documentList = new Vue({
    el: "#documentList",
    data: {
        pdfId:0,
        ossArchive:{},
        keyWord:''
    },
    computed: {

    },
    methods: {
        GetDocumentMoreDataInfo:function(){//查询更多资料详情
            var _self = this;
            DocumentApi.GetDocumentMoreData({archiveId:_self.archiveId},function(response){
                if(response.code ==0){
                    var data = response.data;
                    _self.ossArchive = data;
                }else{
                    CAIMEI.Alert(response.msg, '确定', false);
                }
            })
        },
        PdfDetails:function(id){//跳转
            location.href = '/document/details.html?id='+id;
        },
        searchKeyWord:function(){//搜索
            var _self = this;
            if (_self.keyWord ==''){
                CAIMEI.dialog('请输入搜索关键字',false,function () {});
                return;
            }
            location.href = '/document/list.html?keyWord='+encodeURI(_self.keyWord);
        },
    },
    created: function () {

    },
    mounted: function () {
        this.archiveId = CAIMEI.getUrlParam('id');
        this.GetDocumentMoreDataInfo();
    }
});
